Description

Chris reported getting a Not Found error message in the Metadata View when clicking on the link to view the dataset after
submission. It displays correctly when navigating to it in any other fashion.

History

#1 - 05/03/2016 11:46 AM - Lauren Walker
So | think the reason why this happened is because the metadata doc did not have enough time after insert to be indexed in Solr, so the Metadata
View shows an error/not found message. We have some options...

1.) If an ID isn't found in the index, GET the system metadata, and if it is a metadata doc:

1a.) If the system metadata indicates that the metadata was just submitted (< 10 minutes or so ago), then show a message that the new content is
still "pending”. Display a "Refresh" link for the user to refresh the page, or have the Ul periodically check the index again.

1b.) If it is an older insert, retrieve the rendered metadata from the view service.

#2 - 05/03/2016 12:55 PM - ben leinfelder

In the olden days of Metacat (skins and gformat) you could view the metadata even if the document was not indexed yet. Can MetacatUl support
that?

#3 - 05/03/2016 12:59 PM - Lauren Walker

Yes, MetacatU| can support that - see 1b in the comment above. The reason why MetacatUl checks the index is because the Metadata View supports
being passed an identifier of any format (metadata, data, or resource map), so it is problematic to retrieve the view service output without checking
the format type first.

#4 - 05/04/2016 04:50 PM - Lauren Walker

- Status changed from New to In Progress

After some discussion, we decided that instead of showing the page with the "view dataset" link right after submission, MetacatUI will display a
pending message and check the index for the new document. When the document is found in the index, the user will be shown a "complete" message
and a link to the dataset

#5 - 05/10/2016 01:58 PM - Lauren Walker

- Status changed from In Progress to Resolved

This has been fixed - now a progress bar will be displayed with a "Processing" message. The app will check the index at 500ms, 1 sec, 2 sec, etc.
until 30 minutes has elapsed, at which point it will display an error. When the entry is found in the index, the progress bar will display a "Complete"
message and a large button to view the dataset will be shown.
